Bug 401819 - Notification title cut off if too long. No possibility to see or copy the complete title text
Summary: Notification title cut off if too long. No possibility to see or copy the com...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Notifications (show other bugs)
Version: 5.14.4
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-06 12:36 UTC by alexkde
Modified: 2019-05-09 09:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.16.0


Attachments
Screenshot of the notification popup, which demonstrates the issue. (21.77 KB, image/png)
2018-12-06 12:36 UTC, alexkde
Details
Screenshot of the notification plasmoid, which demonstrates the issue. (91.64 KB, image/png)
2018-12-06 12:37 UTC, alexkde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description alexkde 2018-12-06 12:36:35 UTC
Created attachment 116711 [details]
Screenshot of the notification popup, which demonstrates the issue.

SUMMARY

If the notification text is too long, it is cut off and ends with "..."
It is not possible to either to enlarge notification window nor to copy the text by e.g. a context menu.

STEPS TO REPRODUCE
1. Open the Konsole
2. Execute $ notify-send "This is a very long text, which won't fit into the notification window!"
3. Observe the result both in the notification pop up and notification plasmoid window

OBSERVED RESULT
"This is a very long text, which won't fit into the no..."
"This is a very long text, which won't... 10 sec"


EXPECTED RESULT
If the text is too long
* To be completely shown in a hint when the mouse is over the text
* To be copyable to the clipboard
* I'd expect it to line break if possible:

"This is a very long text, which won't \
 fit into the notification window!"

"This is a very long text, which won't\   10 sec"
 fit into the notification window!"


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Manjaro 18 KDE
(available in About System)
KDE Plasma Version: 5.14.4
KDE Frameworks Version: 5.52.0
Qt Version: 5.11.2

ADDITIONAL INFORMATION
Compare screenshots
Comment 1 alexkde 2018-12-06 12:37:17 UTC
Created attachment 116712 [details]
Screenshot of the notification plasmoid, which demonstrates the issue.
Comment 2 Kai Uwe Broulik 2018-12-07 12:00:18 UTC
The summary is meant for a short summary, not half a novel.
It could still have a tooltip, though.
Comment 3 alexkde 2018-12-07 14:08:05 UTC
> The summary is meant for a short summary, not half a novel.
It don't that it was that long, however I shortened it a bit. :)

Additional ideas:
* Expand the notification message by a click on the notification in the plasmoid. There could be an arrow indicating this possibility.

* Make a notifaction (but not necessarily the text) selectable in order to use Ctrl+C to copy the message to the clipboard.
Comment 4 alexkde 2018-12-09 12:54:35 UTC
As I noticed it's not exactly the notification text, which is cut off, but especially the title:

$ notify-send "This is a very long TITLE, which won't fit into the notification window and therefore won't be completely readable!" "And this is a very long notification description, which will line break and is copyable!"
Comment 5 Kai Uwe Broulik 2019-05-09 09:33:08 UTC
Git commit 3c52fc3bc05e0f351d4998ad54edae1a4e21a043 by Kai Uwe Broulik.
Committed on 09/05/2019 at 09:29.
Pushed by broulik into branch 'master'.

Merge branch 'broulik/libnotificationmanager'

This includes:
libnotificationmanager https://phabricator.kde.org/D20265
New notification plasmoid: https://phabricator.kde.org/D20266
as well as dataengine compat: https://phabricator.kde.org/D20490 and https://phabricator.kde.org/D20491
Related: bug 222470, bug 402144, bug 405570, bug 391646, bug 400811, bug 392669, bug 390143, bug 390864, bug 374099, bug 360990, bug 346458, bug 398926, bug 390152, bug 342355, bug 402391, bug 399697, bug 400871, bug 398580
FIXED-IN: 5.16.0


https://commits.kde.org/plasma-workspace/3c52fc3bc05e0f351d4998ad54edae1a4e21a043